๐ New US500-BTC contract live! Learn more โ
cURL
curl --request POST \ --url https://api.roxom.com/v1/positions/set-tp-sl \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --header 'X-API-Signature: <api-key>' \ --data ' { "instType": "perpetual", "symbol": "<string>", "tpSlMode": "partial", "quantity": "<string>", "stopLossLimitPrice": "<string>", "stopLossTriggerPrice": "<string>", "takeProfitLimitPrice": "<string>", "takeProfitTriggerPrice": "<string>", "unit": "sats" } '
{ "data": { "slOrder": { "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "amountFilled": "<string>", "createdAt": 123, "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "instType": "perpetual", "px": "<string>", "qty": "<string>", "side": "buy", "size": "<string>", "status": "pendingsubmit", "symbol": "<string>", "timeInForce": "gtc", "type": "limit", "unit": "sats", "cancelAt": 123, "clientOrderId": "<string>", "triggerPx": "<string>", "triggeredAt": 123 }, "tpOrder": { "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "amountFilled": "<string>", "createdAt": 123, "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "instType": "perpetual", "px": "<string>", "qty": "<string>", "side": "buy", "size": "<string>", "status": "pendingsubmit", "symbol": "<string>", "timeInForce": "gtc", "type": "limit", "unit": "sats", "cancelAt": 123, "clientOrderId": "<string>", "triggerPx": "<string>", "triggeredAt": 123 } }, "error": true }
Adjust take profit and stop loss levels for a specific position.
Your API key
The signature of the request
perpetual
spot
btc
digital
stock
index
partial
full
sats
Represents a successful API response wrapper
Show child attributes
Was this page helpful?